Create an integration connection
Create an integration connection for an api_key provider. Credentials are validated against the vendor, then stored encrypted.
POST https://api.sazabi.com/v1/integrations/connections
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/integrations/connections" \ -H "Content-Type: application/json" \ -d '{ "provider": "slack", "credentials": { "property1": null, "property2": null } }'{ "connection": { "connectionStatus": { "state": "connected", "reasonCode": "credentials_rejected", "checkedAt": "2019-08-24T14:15:22Z", "verification": "verified" }, "recovery": { "action": "reconnect", "canCheck": true, "canDisconnect": true, "target": { "kind": "integration", "resourceId": "string", "providerId": "string", "scope": { "kind": "user", "id": "string" } } }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "slack", "displayName": "string", "status": "pending", "isActive": true, "needsAttention": true, "metadata": { "property1": null, "property2": null }, "healthStatus": "healthy", "healthMessage": "string", "healthCheckedAt": "2019-08-24T14:15:22Z", "healthConsecutiveFailures": -9007199254740991, "connectedBy": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}